Bug 718043 - Review Request: pyxfce - Xfce bindings for Python
Review Request: pyxfce - Xfce bindings for Python
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-30 15:25 EDT by Raphael Groner
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-26 13:27:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raphael Groner 2011-06-30 15:25:49 EDT
Scratch koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=3172742


%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pyxfce
Version:        4.6.0 
Release:        1%{?dist}
Summary:        Xfce bindings for Python
Group:          Development/Languages
License:        BSD
URL:            http://pyxfce.xfce.org
Source0:        http://pyxfce.xfce.org/pyxfce-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libxfcegui4-devel
BuildRequires:  libxfce4menu-devel
BuildRequires:  python-devel
BuildRequires:  pygtk2-devel

Requires:       libxfcegui4
Requires:       libxfce4menu
Requires:       python
Requires:       pygtk2

%description
pyxfce are Xfce bindings for Python. 
You can use Python to create Xfce programs, after you installed pyxfce.

%package devel
Summary: Development files for building add-on libraries
Group: Development/Languages
Requires: %{name} = %{version}-%{release}

%description devel
This package contains files required to build wrappers for Xfce add-on
libraries so that they interoperate with pyxfce.


%prep
%setup -q


%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README TODO COPYING ChangeLog AUTHORS
%{python_sitearch}/xfce4/

%files devel
%{_datadir}/%{name}/
%{_libdir}/pkgconfig/pyxfce-1.0.pc


%changelog
* Thu Jun 30 2011 Raphael Groner <raphgro-at-web.de> 4.6.0-1
- Initial version
Comment 1 Raphael Groner 2011-06-30 15:27:02 EDT
Make sure that you mention in the 'Review Description' field that this is your first package, and you are seeking a sponsor. In Fedora Package Collection, all new contributors must be sponsored.
Comment 2 Matthias Runge 2011-06-30 15:43:33 EDT
please provide two files: 
a -spec file and a srpm. Builds are kept in koji just for a small time. It's definitely possible, this build gets deleted prior your package is reviewed.
Comment 3 Raphael Groner 2011-06-30 15:45:21 EDT
There's no official release of upstream for xfce 4.8 stuff and latest git does not build with Fedora 14. So, the decision was to build for Fedora 14 with the latest upstream release version 4.6.0.

$ rpmlint pyxfce.spec ../RPMS/x86_64/pyxfce-*.rpm ../SRPMS/pyxfce-4.6.0-1.fc14.src.rpm 
pyxfce.x86_64: W: spelling-error Summary(en_US) Xfce -> Face, Farce, Fices
pyxfce.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/xfce4/_netk.so _netk.so()(64bit)
pyxfce.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/xfce4/_util.so _util.so()(64bit)
pyxfce.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/xfce4/_gui.so _gui.so()(64bit)
pyxfce.x86_64: W: private-shared-object-provides /usr/lib64/python2.7/site-packages/xfce4/_panel.so _panel.so()(64bit)
pyxfce.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/xfce4/gui.py 0644L /usr/bin/env
pyxfce.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/xfce4/panel.py 0644L /usr/bin/env
pyxfce.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/xfce4/netk.py 0644L /usr/bin/env
pyxfce.x86_64: E: non-executable-script /usr/lib64/python2.7/site-packages/xfce4/util.py 0644L /usr/bin/env
pyxfce-devel.x86_64: W: spelling-error %description -l en_US interoperate -> inter operate, inter-operate, interoperable
pyxfce-devel.x86_64: W: no-documentation
pyxfce.src: W: spelling-error Summary(en_US) Xfce -> Face, Farce, Fices
4 packages and 1 specfiles checked; 4 errors, 8 warnings.

$ for f in `ls pyxfce-*.rpm` ; do echo $f ; rpmls $f ; echo ; done
pyxfce-4.6.0-1.fc14.x86_64.rpm
drwxr-xr-x  /usr/lib64/python2.7/site-packages/xfce4
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/__init__.py
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/__init__.pyc
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/__init__.pyo
-rwxr-xr-x  /usr/lib64/python2.7/site-packages/xfce4/_gui.la
-rwxr-xr-x  /usr/lib64/python2.7/site-packages/xfce4/_gui.so
-rwxr-xr-x  /usr/lib64/python2.7/site-packages/xfce4/_netk.la
-rwxr-xr-x  /usr/lib64/python2.7/site-packages/xfce4/_netk.so
-rwxr-xr-x  /usr/lib64/python2.7/site-packages/xfce4/_panel.la
-rwxr-xr-x  /usr/lib64/python2.7/site-packages/xfce4/_panel.so
-rwxr-xr-x  /usr/lib64/python2.7/site-packages/xfce4/_util.la
-rwxr-xr-x  /usr/lib64/python2.7/site-packages/xfce4/_util.so
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/gui.py
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/gui.pyc
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/gui.pyo
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/netk.py
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/netk.pyc
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/netk.pyo
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/panel.py
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/panel.pyc
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/panel.pyo
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/util.py
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/util.pyc
-rw-r--r--  /usr/lib64/python2.7/site-packages/xfce4/util.pyo
drwxr-xr-x  /usr/share/doc/pyxfce-4.6.0
-rw-r--r--  /usr/share/doc/pyxfce-4.6.0/AUTHORS
-rw-r--r--  /usr/share/doc/pyxfce-4.6.0/COPYING
-rw-r--r--  /usr/share/doc/pyxfce-4.6.0/ChangeLog
-rw-r--r--  /usr/share/doc/pyxfce-4.6.0/README
-rw-r--r--  /usr/share/doc/pyxfce-4.6.0/TODO

pyxfce-debuginfo-4.6.0-1.fc14.x86_64.rpm
drwxr-xr-x  /usr/lib/debug
drwxr-xr-x  /usr/lib/debug/.build-id
drwxr-xr-x  /usr/lib/debug/.build-id/42
lrwxrwxrwx  /usr/lib/debug/.build-id/42/bcef5c2e243b0a16d7bb6f4b3fd3c993d2c271
lrwxrwxrwx  /usr/lib/debug/.build-id/42/bcef5c2e243b0a16d7bb6f4b3fd3c993d2c271.debug
drwxr-xr-x  /usr/lib/debug/.build-id/6e
lrwxrwxrwx  /usr/lib/debug/.build-id/6e/8ab42c52424f537d81feddac42a11a21b9e494
lrwxrwxrwx  /usr/lib/debug/.build-id/6e/8ab42c52424f537d81feddac42a11a21b9e494.debug
drwxr-xr-x  /usr/lib/debug/.build-id/b9
lrwxrwxrwx  /usr/lib/debug/.build-id/b9/b5b065605faa32aae6320340313591a3b35ec1
lrwxrwxrwx  /usr/lib/debug/.build-id/b9/b5b065605faa32aae6320340313591a3b35ec1.debug
drwxr-xr-x  /usr/lib/debug/.build-id/d5
lrwxrwxrwx  /usr/lib/debug/.build-id/d5/666503598e73648b8eb1c149f201b1d1d08a5a
lrwxrwxrwx  /usr/lib/debug/.build-id/d5/666503598e73648b8eb1c149f201b1d1d08a5a.debug
drwxr-xr-x  /usr/lib/debug/usr
drwxr-xr-x  /usr/lib/debug/usr/lib64
drwxr-xr-x  /usr/lib/debug/usr/lib64/python2.7
drwxr-xr-x  /usr/lib/debug/usr/lib64/python2.7/site-packages
drwxr-xr-x  /usr/lib/debug/usr/lib64/python2.7/site-packages/xfce4
-r--r--r--  /usr/lib/debug/usr/lib64/python2.7/site-packages/xfce4/_gui.so.debug
-r--r--r--  /usr/lib/debug/usr/lib64/python2.7/site-packages/xfce4/_netk.so.debug
-r--r--r--  /usr/lib/debug/usr/lib64/python2.7/site-packages/xfce4/_panel.so.debug
-r--r--r--  /usr/lib/debug/usr/lib64/python2.7/site-packages/xfce4/_util.so.debug
drwxr-xr-x  /usr/src/debug/pyxfce-4.6.0
drwxr-xr-x  /usr/src/debug/pyxfce-4.6.0/gui
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/aboutdialog.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/appmenuitem.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/clock.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/colorbutton.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/decorbutton.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/decortoggle.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/dialogs.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/dialogs.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/filechooser.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/framebox.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/gdk_extensions.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/gtk_extensions.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/gtk_style.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/gtktoxevent.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/guimodule.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/iconbutton.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/icons.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/icontheme.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/icontheme.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/menubutton.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/movehandler.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/scaled_image.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/session_client.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/startup-notification.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/startup-notification.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/systemtray.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/systemtray.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/titled_dialog.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/titled_dialog.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/gui/togglebutton.c
drwxr-xr-x  /usr/src/debug/pyxfce-4.6.0/netk
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/application.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/application.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/class_group.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/class_group.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/enum_types.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/netkmodule.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/pager.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/pager.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/screen.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/screen.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/set_geometry.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/tasklist.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/tasklist.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/trayicon.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/trayicon.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/util.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/window.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/window.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/window_action_menu.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/window_action_menu.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/window_menu.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/netk/workspace.c
drwxr-xr-x  /usr/src/debug/pyxfce-4.6.0/panel
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/panel/arrow_button.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/panel/enum_types.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/panel/enums.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/panel/external_plugin.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/panel/external_plugin.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/panel/itembar.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/panel/panelmodule.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/panel/plugin_iface.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/panel/window.c
drwxr-xr-x  /usr/src/debug/pyxfce-4.6.0/util
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/desktopentry.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/desktopentry.override
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/fileutils.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/i18n.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/kiosk.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/miscutils.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/rc.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/resource.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/utf8.c
-rw-r--r--  /usr/src/debug/pyxfce-4.6.0/util/utilmodule.c

pyxfce-devel-4.6.0-1.fc14.x86_64.rpm
-rw-r--r--  /usr/lib64/pkgconfig/pyxfce-1.0.pc
drwxr-xr-x  /usr/share/pyxfce
drwxr-xr-x  /usr/share/pyxfce/4.2
drwxr-xr-x  /usr/share/pyxfce/4.2/defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/aboutdialog.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/application.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/appmenuitem.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/arrow_button.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/class_group.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/clock.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/colorbutton.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/decorbutton.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/decortoggle.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/desktopentry.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/dialogs.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/enum_types.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/enums.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/external_plugin.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/filechooser.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/fileutils.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/framebox.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/gdk_extensions.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/gtk_extensions.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/gtk_style.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/gtktoxevent.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/i18n.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/iconbutton.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/icons.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/icontheme.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/itembar.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/kiosk.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/menubutton.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/miscutils.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/movehandler.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/pager.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/plugin_iface.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/rc.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/resource.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/scaled_image.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/screen.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/session_client.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/startup-notification.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/systemtray.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/tasklist.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/titled_dialog.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/togglebutton.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/trayicon.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/utf8.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/util.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/window.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/window_action_menu.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/window_menu.defs
-rw-r--r--  /usr/share/pyxfce/4.2/defs/workspace.defs
Comment 4 Raphael Groner 2011-06-30 15:47:51 EDT
(In reply to comment #2)
Where is a good place to save the requested files? fedorpeople.org is not open for freshmen without sponsorship (according to wiki).
Comment 5 Raphael Groner 2011-06-30 15:50:20 EDT
I am not sure about the Requires: entries in the spec file. Are the existing ones needed absolutely? Is something missing?
Comment 6 Matthias Runge 2011-06-30 16:04:48 EDT
hmm, latest news of upstream is this:
2009/07/03 - Started supporting Xfce 4.6.

This is two years old.
Did you contact upstream and ask about support for current version? 


Taken from https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Create_Your_Review_Request

Upload the spec file and SRPM to a public website. If you need hosting space, please make a note of it in your ticket submission and someone will take care of you. 

But there are probably other places. I've even seen dropbox urls.

You should introduce yourself on the developer mailing list[1]. This may be the right place to ask for hosting space, too.

[1] https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Introduce_yourself

Your next step after [1] should be [2]
[2] https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Convincing_someone_to_sponsor_you
Comment 7 Raphael Groner 2011-06-30 16:30:32 EDT
(In reply to comment #6)
As argued in comment #3, I have (currently) no interest in Fedora 15.

There is no special patch needed for my initial package, so only the upstream source is sufficient (URL is given in spec file).

All in all, it's a good question of sense to have a package that works only in Fedora 14. F14 will get EOL in some months. But that should not prevent a general review. :)
Comment 9 Raphael Groner 2011-06-30 18:11:40 EDT
... and a new scratch build
http://koji.fedoraproject.org/koji/taskinfo?taskID=3173009
Comment 10 Till Maas 2011-11-19 15:18:09 EST
Minor remark: use %global instead of %define in line 1 of the spec file.

Please perform informal reviews and post a list of them here as proposed in
https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group#Reviewing_packages
Comment 11 Raphael Groner 2011-11-26 13:27:25 EST
I doubt that I can maintain the package. Someone interested to take it?

Note You need to log in before you can comment on or make changes to this bug.